Service Level Agreements - Standard Service Request Activity IDs API
This API works only for service level agreements where you have the Financial Manager role in that account.
List all standard service request activity IDs of a service level agreement
Section titled “List all standard service request activity IDs of a service level agreement”List all standard service request activity IDs of a service level agreement with a specific ID.
GET /slas/:id/standard_service_request_activityids
Response
Section titled “Response”Status: 200 OK[ { "activityID": "my-activity-id", "id": 19, "standard_service_request": { "created_at": "2023-01-24T05:15:07-06:00", "id": 69, "request_template": { "id": 7, "subject": "Add local printer", "localized_subject": "Add local printer", "nodeID": "..." }, "resolution_target": null, "resolution_target_in_days": null, "response_target": null, "response_target_in_days": null, "service_offering": { "id": 24, "name": "Bronze Local Printing", "service": { "id": 26, "name": "Local Printing", "localized_name": "Local Printing", "nodeID": "...", "provider": { "id": 63, "name": "Widget Data Center, Internal IT", "account": { "id": "pro-product", "name": "Widget International" }, "nodeID": "..." } }, "nodeID": "..." }, "support_hours": null, "updated_at": "2023-01-24T05:15:07-06:00", "nodeID": "..." }, "nodeID": "..." }]Add a standard service request activity ID to a service level agreement
Section titled “Add a standard service request activity ID to a service level agreement”Add a standard service request activity ID to a service level agreement with a specific ID.
POST /slas/:id/standard_service_request_activityids
When creating a new standard service request activity ID for a service level agreement these fields are available.
Response
Section titled “Response”Status: 200 OK{ "activityID": "my-activity-id", "id": 19, "standard_service_request": { "created_at": "2023-01-24T05:15:07-06:00", "id": 69, "request_template": { "id": 7, "subject": "Add local printer", "localized_subject": "Add local printer", "nodeID": "..." }, "resolution_target": null, "resolution_target_in_days": null, "response_target": null, "response_target_in_days": null, "service_offering": { "id": 24, "name": "Bronze Local Printing", "service": { "id": 26, "name": "Local Printing", "localized_name": "Local Printing", "nodeID": "...", "provider": { "id": 63, "name": "Widget Data Center, Internal IT", "account": { "id": "pro-product", "name": "Widget International" }, "nodeID": "..." } }, "nodeID": "..." }, "support_hours": null, "updated_at": "2023-01-24T05:15:07-06:00", "nodeID": "..." }, "nodeID": "..."}Update a standard service request activity ID of a service level agreement
Section titled “Update a standard service request activity ID of a service level agreement”Update a standard service request activity ID with a specific ID of a service level agreement with a specific ID.
PATCH /slas/:id/standard_service_request_activityids/:standard_service_request_activityID_id
When updating an existing standard service request activity ID for a service level agreement these fields are available.
Response
Section titled “Response”Status: 200 OK{ "activityID": "my-activity-id", "id": 19, "standard_service_request": { "created_at": "2023-01-24T05:15:07-06:00", "id": 69, "request_template": { "id": 7, "subject": "Add local printer", "localized_subject": "Add local printer", "nodeID": "..." }, "resolution_target": null, "resolution_target_in_days": null, "response_target": null, "response_target_in_days": null, "service_offering": { "id": 24, "name": "Bronze Local Printing", "service": { "id": 26, "name": "Local Printing", "localized_name": "Local Printing", "nodeID": "...", "provider": { "id": 63, "name": "Widget Data Center, Internal IT", "account": { "id": "pro-product", "name": "Widget International" }, "nodeID": "..." } }, "nodeID": "..." }, "support_hours": null, "updated_at": "2023-01-24T05:15:07-06:00", "nodeID": "..." }, "nodeID": "..."}Remove a standard service request activity ID from a service level agreement
Section titled “Remove a standard service request activity ID from a service level agreement”Remove a standard service request activity ID with a specific ID from a service level agreement with a specific ID.
DELETE /slas/:id/standard_service_request_activityids/:standard_service_request_activityID_id
Response
Section titled “Response”Status: 204 No ContentFields
Section titled “Fields”id
Readonly integer — The unique ID of the effort class charge ID.
activityID
Required string — The Activity ID is the unique identifier by which an activity that is performed in the context of a service offering is known in the billing system of the service provider.
standard_service_request
Required reference to Standard service request — The ID of the standard service request related to the standard service request activity ID.